说明
=========
## 兼容性说明
+ Spectre.Console 最低兼容到 .NET Standard 2.0

+ .NET Standard 2.0 兼容性如下图

  | **.NET 实现**     | **版本支持**                                |
  | ----------------- | -------------------------------------------- |
  | .NET 和.NET Core  | 2.0、2.1、 2.2、 3.0、 3.1、 5.0、 6.0、 7.0 |
  | .NET Framework    | 4.6.1、4.6.2、4.7、4.7.1、4.7.2、4.8、4.8.1  |
  | Mono              | 5.4、6.4                                     |
  | Xamarin.iOS       | 10.14、12.16                                 |
  | Xamarin.Mac       | 3.8、5.16                                    |
  | Xamarin.Android   | 8.0、10.0                                    |
  | 通用 Windows 平台 | 10.0.16299，待定                             |
  | Unity             | 2018 年 1 月                                 |

## 作用
+ 使用 Rich 启发的标记语言轻松输出具有不同颜色甚至样式（如粗体、斜体和闪烁）的文本。
+ 支持终端中的 ///-位颜色，并自动检测当前终端的功能。34824
+ 渲染复杂的小部件，如表、树，甚至 ASCII 图像。
+ 通过实时显示进度和状态控件来显示长时间运行的任务的进度。
+ 使用强类型文本输入或通过单项选择和多项选择控件提示用户输入。
+ 使用自定义颜色编码的主题和样式设置格式 .NET 例外。
+ 在编写时考虑了单元测试。

## 源码编译运行
+ 要直接运行示例，必须先安装 .net 全局工具：dotnet-example，否则直接用VS打开编译运行；
+ 请更改项目根目录下 global.json 文件中的.Net Sdk版本为系统中已安装的版本 或者 安装该版本Sdk
  ```json
  {
    "sdk": {
      "version": "7.0.302"
    }
  }
  ```
+ docs 文档项目，基于[Statiq](https://statiq.dev) 工具，生成的静态站点。配置Statiq 环境之后，才能在VS中正确编译、运行。

## 个别效果要求
> 其中一些特别效果对终端本身有要求:
+ State、表情符号等效果，要求终端支持 Unicode 字符，否则退化为 ascii码支持的效果或者无效；果
+ 支持颜色位等，也可能影响效果
+ 大部情况下，会自动检测运行环境，自动处理为最佳效果或退化为普通效果或自动失效