﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;

namespace SpectreConsoleStudy.Shared
{
    public class Menu
    {
        public Menu() { }

        public Menu(string groupName, string menuName, Action<Menu> runner)
            : this(groupName, 0, menuName, 0, runner)
        {

        }

        public Menu(string groupName, int groupOrder, string menuName, int order, Action<Menu> runner)
        {
            Group = groupName;
            GroupOrder = groupOrder;
            Name = menuName;
            Order = order;
            Runner = runner;
        }

        public int GroupOrder { get; set; } = 0;

        public string Group { get; set; }
        public string Name { get; set; }

        public int Order { get; set; }

        public Action<Menu> Runner { get; set; }

        public override string ToString()
        {
            return Name ?? "未知";
        }
    }
}
